CentOS 7.8 2003 最小化离线安装 GitLab EE 12.10.13

相关网址:
在CentOS 7 1804 中 安装 使用 GitLab 11.4.3-ee (企业版、社区版最新版、或任意版本)

  1. 官方网址:
企业版社区版
https://packages.gitlab.com/gitlab/gitlab-eehttps://packages.gitlab.com/gitlab/gitlab-ce
  1. 本文以 CentOS 7 GitLab EE 12.10.13 为例,网址:https://packages.gitlab.com/gitlab/gitlab-ee/packages/el/7/gitlab-ee-12.10.13-ee.0.el7.x86_64.rpm

CentOS 7 GitLab EE 12.10.13

  1. 由上图可知,CentOS 7 安装 GitLab EE 12.10.13 所需依赖为:openssh-server、policycoreutils-python

  2. 查看是否安装了 openssh-server:

    rpm -qa | grep openssh-server
    

    运行结果:

    [root@192 ~]# rpm -qa | grep openssh-server
    openssh-server-7.4p1-21.el7.x86_64
    [root@192 ~]# 
    

    上述结果说明已安装了。

  3. 查看 policycoreutils-python 是否安装:

    rpm -qa | grep policycoreutils-python
    

    运行结果:

    [root@192 ~]# rpm -qa | grep policycoreutils-python
    [root@192 ~]# 
    

    说明没有安装。

  4. 首次尝试下载安装 policycoreutils-python:
    阿里巴巴开源镜像站
    阿里巴巴开源镜像站
    本地安装:policycoreutils-python

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: audit-libs-python >= 2.1.3-4 for package: policycoreutils-python-2.5-34.el7.x86_64
    Determining fastest mirrors
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30558 milliseconds')
    
    
     One of the configured repositories failed (Unknown),
     and yum doesn't have enough cached data to continue. At this point the only
     safe thing yum can do is fail. There are a few ways to work "fix" this:
    
         1. Contact the upstream for the repository and get them to fix the problem.
    
         2. Reconfigure the baseurl/etc. for the repository, to point to a working
            upstream. This is most often useful if you are using a newer
            distribution release than is supported by the repository (and the
            packages for the previous distribution release still work).
    
         3. Run the command with the repository temporarily disabled
                yum --disablerepo=<repoid> ...
    
         4. Disable the repository permanently, so yum won't use it by default. Yum
            will then just ignore the repository until you permanently enable it
            again or use --enablerepo for temporary usage:
    
                yum-config-manager --disable <repoid>
            or
                subscription-manager repos --disable=<repoid>
    
         5. Configure the failing repository to be skipped, if it is unavailable.
            Note that yum will try to contact the repo. when it runs most commands,
            so will have to try and fail each time (and thus. yum will be be much
            slower). If it is a very temporary problem though, this is often a nice
            compromise:
    
                yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    

    由上可知,policycoreutils-python-2.5-34.el7.x86_64.rpm 所需依赖 audit-libs-python >= 2.1.3-4

  5. 下载安装 audit-libs-python:
    阿里巴巴开源镜像站
    本地安装:audit-libs-python

    yum -y localinstall audit-libs-python-2.8.5-4.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall audit-libs-python-2.8.5-4.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining audit-libs-python-2.8.5-4.el7.x86_64.rpm: audit-libs-python-2.8.5-4.el7.x86_64
    Marking audit-libs-python-2.8.5-4.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package audit-libs-python.x86_64 0:2.8.5-4.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                              Arch                      Version                           Repository                                                Size
    =================================================================================================================================================================
    Installing:
     audit-libs-python                    x86_64                    2.8.5-4.el7                       /audit-libs-python-2.8.5-4.el7.x86_64                    316 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 316 k
    Installed size: 316 k
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : audit-libs-python-2.8.5-4.el7.x86_64                                                                                                          1/1 
      Verifying  : audit-libs-python-2.8.5-4.el7.x86_64                                                                                                          1/1 
    
    Installed:
      audit-libs-python.x86_64 0:2.8.5-4.el7                                                                                                                         
    
    Complete!
    [root@192 ~]# 
    
  6. 第二次尝试安装 policycoreutils-python:

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: libsemanage-python >= 2.5-14 for package: policycoreutils-python-2.5-34.el7.x86_64
    Loading mirror speeds from cached hostfile
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30556 milliseconds')
    
    
    One of the configured repositories failed (Unknown),
    and yum doesn't have enough cached data to continue. At this point the only
    safe thing yum can do is fail. There are a few ways to work "fix" this:
    
        1. Contact the upstream for the repository and get them to fix the problem.
    
        2. Reconfigure the baseurl/etc. for the repository, to point to a working
           upstream. This is most often useful if you are using a newer
           distribution release than is supported by the repository (and the
           packages for the previous distribution release still work).
    
        3. Run the command with the repository temporarily disabled
               yum --disablerepo=<repoid> ...
    
        4. Disable the repository permanently, so yum won't use it by default. Yum
           will then just ignore the repository until you permanently enable it
           again or use --enablerepo for temporary usage:
    
               yum-config-manager --disable <repoid>
           or
               subscription-manager repos --disable=<repoid>
    
        5. Configure the failing repository to be skipped, if it is unavailable.
           Note that yum will try to contact the repo. when it runs most commands,
           so will have to try and fail each time (and thus. yum will be be much
           slower). If it is a very temporary problem though, this is often a nice
           compromise:
    
               yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    

    由上可知,policycoreutils-python-2.5-34.el7.x86_64.rpm 所需依赖 libsemanage-python >= 2.5-14

  7. 下载安装:libsemanage-python
    阿里巴巴开源镜像站
    本地安装:libsemanage-python

    yum -y localinstall libsemanage-python-2.5-14.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall libsemanage-python-2.5-14.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining libsemanage-python-2.5-14.el7.x86_64.rpm: libsemanage-python-2.5-14.el7.x86_64
    Marking libsemanage-python-2.5-14.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package libsemanage-python.x86_64 0:2.5-14.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                               Arch                      Version                          Repository                                                Size
    =================================================================================================================================================================
    Installing:
     libsemanage-python                    x86_64                    2.5-14.el7                       /libsemanage-python-2.5-14.el7.x86_64                    441 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 441 k
    Installed size: 441 k
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : libsemanage-python-2.5-14.el7.x86_64                                                                                                          1/1 
      Verifying  : libsemanage-python-2.5-14.el7.x86_64                                                                                                          1/1 
    
    Installed:
      libsemanage-python.x86_64 0:2.5-14.el7                                                                                                                         
    
    Complete!
    [root@192 ~]#
    
  8. 第三次尝试安装 policycoreutils-python:

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: setools-libs >= 3.3.8-4 for package: policycoreutils-python-2.5-34.el7.x86_64
    Loading mirror speeds from cached hostfile
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30554 milliseconds')
    
    
     One of the configured repositories failed (Unknown),
     and yum doesn't have enough cached data to continue. At this point the only
     safe thing yum can do is fail. There are a few ways to work "fix" this:
    
         1. Contact the upstream for the repository and get them to fix the problem.
    
         2. Reconfigure the baseurl/etc. for the repository, to point to a working
            upstream. This is most often useful if you are using a newer
            distribution release than is supported by the repository (and the
            packages for the previous distribution release still work).
    
         3. Run the command with the repository temporarily disabled
                yum --disablerepo=<repoid> ...
    
         4. Disable the repository permanently, so yum won't use it by default. Yum
            will then just ignore the repository until you permanently enable it
            again or use --enablerepo for temporary usage:
    
                yum-config-manager --disable <repoid>
            or
                subscription-manager repos --disable=<repoid>
    
         5. Configure the failing repository to be skipped, if it is unavailable.
            Note that yum will try to contact the repo. when it runs most commands,
            so will have to try and fail each time (and thus. yum will be be much
            slower). If it is a very temporary problem though, this is often a nice
            compromise:
    
                yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    
  9. 下载安装:setools-libs
    阿里巴巴开源镜像站
    本地安装:setools-libs

    yum -y localinstall setools-libs-3.3.8-4.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall setools-libs-3.3.8-4.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining setools-libs-3.3.8-4.el7.x86_64.rpm: setools-libs-3.3.8-4.el7.x86_64
    Marking setools-libs-3.3.8-4.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package setools-libs.x86_64 0:3.3.8-4.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                            Arch                         Version                            Repository                                              Size
    =================================================================================================================================================================
    Installing:
     setools-libs                       x86_64                       3.3.8-4.el7                        /setools-libs-3.3.8-4.el7.x86_64                       1.8 M
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 1.8 M
    Installed size: 1.8 M
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : setools-libs-3.3.8-4.el7.x86_64                                                                                                               1/1 
      Verifying  : setools-libs-3.3.8-4.el7.x86_64                                                                                                               1/1 
    
    Installed:
      setools-libs.x86_64 0:3.3.8-4.el7                                                                                                                              
    
    Complete!
    [root@192 ~]# 
    
  10. 第四次尝试安装 policycoreutils-python:

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: checkpolicy for package: policycoreutils-python-2.5-34.el7.x86_64
    Loading mirror speeds from cached hostfile
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30554 milliseconds')
    
    
     One of the configured repositories failed (Unknown),
     and yum doesn't have enough cached data to continue. At this point the only
     safe thing yum can do is fail. There are a few ways to work "fix" this:
    
         1. Contact the upstream for the repository and get them to fix the problem.
    
         2. Reconfigure the baseurl/etc. for the repository, to point to a working
            upstream. This is most often useful if you are using a newer
            distribution release than is supported by the repository (and the
            packages for the previous distribution release still work).
    
         3. Run the command with the repository temporarily disabled
                yum --disablerepo=<repoid> ...
    
         4. Disable the repository permanently, so yum won't use it by default. Yum
            will then just ignore the repository until you permanently enable it
            again or use --enablerepo for temporary usage:
    
                yum-config-manager --disable <repoid>
            or
                subscription-manager repos --disable=<repoid>
    
         5. Configure the failing repository to be skipped, if it is unavailable.
            Note that yum will try to contact the repo. when it runs most commands,
            so will have to try and fail each time (and thus. yum will be be much
            slower). If it is a very temporary problem though, this is often a nice
            compromise:
    
                yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    

    由上可知,policycoreutils-python-2.5-34.el7.x86_64.rpm 所需依赖 checkpolicy

  11. 下载安装 checkpolicy :
    阿里巴巴开源镜像站
    本地安装:checkpolicy

    yum -y localinstall checkpolicy-2.5-8.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall checkpolicy-2.5-8.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining checkpolicy-2.5-8.el7.x86_64.rpm: checkpolicy-2.5-8.el7.x86_64
    Marking checkpolicy-2.5-8.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package checkpolicy.x86_64 0:2.5-8.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                            Arch                          Version                             Repository                                            Size
    =================================================================================================================================================================
    Installing:
     checkpolicy                        x86_64                        2.5-8.el7                           /checkpolicy-2.5-8.el7.x86_64                        1.2 M
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 1.2 M
    Installed size: 1.2 M
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : checkpolicy-2.5-8.el7.x86_64                                                                                                                  1/1 
      Verifying  : checkpolicy-2.5-8.el7.x86_64                                                                                                                  1/1 
    
    Installed:
      checkpolicy.x86_64 0:2.5-8.el7                                                                                                                                 
    
    Complete!
    [root@192 ~]# 
    
  12. 第五次尝试安装 policycoreutils-python:

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    安装结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: libcgroup for package: policycoreutils-python-2.5-34.el7.x86_64
    Loading mirror speeds from cached hostfile
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30554 milliseconds')
    
    
     One of the configured repositories failed (Unknown),
     and yum doesn't have enough cached data to continue. At this point the only
     safe thing yum can do is fail. There are a few ways to work "fix" this:
    
         1. Contact the upstream for the repository and get them to fix the problem.
    
         2. Reconfigure the baseurl/etc. for the repository, to point to a working
            upstream. This is most often useful if you are using a newer
            distribution release than is supported by the repository (and the
            packages for the previous distribution release still work).
    
         3. Run the command with the repository temporarily disabled
                yum --disablerepo=<repoid> ...
    
         4. Disable the repository permanently, so yum won't use it by default. Yum
            will then just ignore the repository until you permanently enable it
            again or use --enablerepo for temporary usage:
    
                yum-config-manager --disable <repoid>
            or
                subscription-manager repos --disable=<repoid>
    
         5. Configure the failing repository to be skipped, if it is unavailable.
            Note that yum will try to contact the repo. when it runs most commands,
            so will have to try and fail each time (and thus. yum will be be much
            slower). If it is a very temporary problem though, this is often a nice
            compromise:
    
                yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    

    由上可知,policycoreutils-python-2.5-34.el7.x86_64.rpm 所需依赖 libcgroup

  13. 下载安装 libcgroup :
    阿里巴巴开源镜像站
    本地安装:libcgroup

    yum -y localinstall libcgroup-0.41-21.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall libcgroup-0.41-21.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining libcgroup-0.41-21.el7.x86_64.rpm: libcgroup-0.41-21.el7.x86_64
    Marking libcgroup-0.41-21.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package libcgroup.x86_64 0:0.41-21.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                          Arch                          Version                               Repository                                            Size
    =================================================================================================================================================================
    Installing:
     libcgroup                        x86_64                        0.41-21.el7                           /libcgroup-0.41-21.el7.x86_64                        134 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 134 k
    Installed size: 134 k
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : libcgroup-0.41-21.el7.x86_64                                                                                                                  1/1 
      Verifying  : libcgroup-0.41-21.el7.x86_64                                                                                                                  1/1 
    
    Installed:
      libcgroup.x86_64 0:0.41-21.el7                                                                                                                                 
    
    Complete!
    [root@192 ~]# 
    
  14. 第六次尝试安装 policycoreutils-python:

    yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm 
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Processing Dependency: python-IPy for package: policycoreutils-python-2.5-34.el7.x86_64
    Loading mirror speeds from cached hostfile
    Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was
    12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30555 milliseconds')
    
    
     One of the configured repositories failed (Unknown),
     and yum doesn't have enough cached data to continue. At this point the only
     safe thing yum can do is fail. There are a few ways to work "fix" this:
    
         1. Contact the upstream for the repository and get them to fix the problem.
    
         2. Reconfigure the baseurl/etc. for the repository, to point to a working
            upstream. This is most often useful if you are using a newer
            distribution release than is supported by the repository (and the
            packages for the previous distribution release still work).
    
         3. Run the command with the repository temporarily disabled
                yum --disablerepo=<repoid> ...
    
         4. Disable the repository permanently, so yum won't use it by default. Yum
            will then just ignore the repository until you permanently enable it
            again or use --enablerepo for temporary usage:
    
                yum-config-manager --disable <repoid>
            or
                subscription-manager repos --disable=<repoid>
    
         5. Configure the failing repository to be skipped, if it is unavailable.
            Note that yum will try to contact the repo. when it runs most commands,
            so will have to try and fail each time (and thus. yum will be be much
            slower). If it is a very temporary problem though, this is often a nice
            compromise:
    
                yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
    
    Cannot find a valid baseurl for repo: base/7/x86_64
    [root@192 ~]# 
    
  15. 下载安装 python-IPy:
    阿里巴巴开源镜像站
    本地安装:python-IPy

    yum -y localinstall python-IPy-0.75-6.el7.noarch.rpm 
    

    运行结果:

    [root@192 ~]# yum -y localinstall python-IPy-0.75-6.el7.noarch.rpm 
    Loaded plugins: fastestmirror
    Examining python-IPy-0.75-6.el7.noarch.rpm: python-IPy-0.75-6.el7.noarch
    Marking python-IPy-0.75-6.el7.noarch.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package python-IPy.noarch 0:0.75-6.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                           Arch                          Version                              Repository                                            Size
    =================================================================================================================================================================
    Installing:
     python-IPy                        noarch                        0.75-6.el7                           /python-IPy-0.75-6.el7.noarch                        119 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 119 k
    Installed size: 119 k
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : python-IPy-0.75-6.el7.noarch                                                                                                                  1/1 
      Verifying  : python-IPy-0.75-6.el7.noarch                                                                                                                  1/1 
    
    Installed:
      python-IPy.noarch 0:0.75-6.el7                                                                                                                                 
    
    Complete!
    [root@192 ~]# 
    
  16. 第七次尝试安装 policycoreutils-python:

     yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall policycoreutils-python-2.5-34.el7.x86_64.rpm
    Loaded plugins: fastestmirror
    Examining policycoreutils-python-2.5-34.el7.x86_64.rpm: policycoreutils-python-2.5-34.el7.x86_64
    Marking policycoreutils-python-2.5-34.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                                 Arch                    Version                        Repository                                                  Size
    =================================================================================================================================================================
    Installing:
     policycoreutils-python                  x86_64                  2.5-34.el7                     /policycoreutils-python-2.5-34.el7.x86_64                  1.2 M
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 1.2 M
    Installed size: 1.2 M
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : policycoreutils-python-2.5-34.el7.x86_64                                                                                                      1/1 
      Verifying  : policycoreutils-python-2.5-34.el7.x86_64                                                                                                      1/1 
    
    Installed:
      policycoreutils-python.x86_64 0:2.5-34.el7                                                                                                                     
    
    Complete!
    [root@192 ~]# 
    
  17. 安装

    yum -y localinstall gitlab-ee-12.10.13-ee.0.el7.x86_64.rpm
    

    运行结果:

    [root@192 ~]# yum -y localinstall gitlab-ee-12.10.13-ee.0.el7.x86_64.rpm
    Loaded plugins: fastestmirror
    Examining gitlab-ee-12.10.13-ee.0.el7.x86_64.rpm: gitlab-ee-12.10.13-ee.0.el7.x86_64
    Marking gitlab-ee-12.10.13-ee.0.el7.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package gitlab-ee.x86_64 0:12.10.13-ee.0.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                       Arch                       Version                                  Repository                                               Size
    =================================================================================================================================================================
    Installing:
     gitlab-ee                     x86_64                     12.10.13-ee.0.el7                        /gitlab-ee-12.10.13-ee.0.el7.x86_64                     1.8 G
    
    Transaction Summary
    =================================================================================================================================================================
    Install  1 Package
    
    Total size: 1.8 G
    Installed size: 1.8 G
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : gitlab-ee-12.10.13-ee.0.el7.x86_64                                                                                                            1/1 
    It looks like GitLab has not been configured yet; skipping the upgrade script.
    
           *.                  *.
          ***                 ***
         *****               *****
        .******             *******
        ********            ********
       ,,,,,,,,,***********,,,,,,,,,
      ,,,,,,,,,,,*********,,,,,,,,,,,
      .,,,,,,,,,,,*******,,,,,,,,,,,,
          ,,,,,,,,,*****,,,,,,,,,.
             ,,,,,,,****,,,,,,
                .,,,***,,,,
                    ,*,.
      
    
    
         _______ __  __          __
        / ____(_) /_/ /   ____ _/ /_
       / / __/ / __/ /   / __ `/ __ \
      / /_/ / / /_/ /___/ /_/ / /_/ /
      \____/_/\__/_____/\__,_/_.___/
      
    
    Thank you for installing GitLab!
    GitLab was unable to detect a valid hostname for your instance.
    Please configure a URL for your GitLab instance by setting `external_url`
    configuration in /etc/gitlab/gitlab.rb file.
    Then, you can start your GitLab instance by running the following command:
      sudo gitlab-ctl reconfigure
    
    For a comprehensive list of configuration options please see the Omnibus GitLab readme
    https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/README.md
    
      Verifying  : gitlab-ee-12.10.13-ee.0.el7.x86_64                                                                                                            1/1 
    
    Installed:
      gitlab-ee.x86_64 0:12.10.13-ee.0.el7                                                                                                                           
    
    Complete!
    [root@192 ~]# 
    
  18. 配置 GitLab:

    gitlab-ctl reconfigure
    

    配置结果过长,方便展示。

  19. 开通 http 服务(80端口):

    firewall-cmd --permanent --add-service=http
    systemctl reload firewalld
    firewall-cmd --list-all
    

    或:

    firewall-cmd --zone=public --add-port=80/tcp --permanent
    firewall-cmd --reload
    firewall-cmd --list-all
    
  20. 访问:
    GitLab登录页

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: Age of Ai 设计师:meimeiellie 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值